# ShopUpdater (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.utils

## Class ShopUpdater

- java.lang.Object
- - java.lang.Thread
  - - de.epiceric.shopchest.utils.ShopUpdater

All Implemented Interfaces:
  Runnable

    public class ShopUpdater
    extends Thread

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`ShopUpdater(ShopChest plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()`
`boolean` `isRunning()`
`void` `run()`
`void` `setMaxDelta(long maxDelta)`
`void` `start()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShopUpdater

    public ShopUpdater(ShopChest plugin)

### Method Detail

#### setMaxDelta

    public void setMaxDelta(long maxDelta)

#### start

    public void start()

Overrides:
  `start` in class `Thread`

#### cancel

    public void cancel()

#### isRunning

    public boolean isRunning()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`